#ifndef __LED_SEG_H__
#define __LED_SEG_H__

#include "SST89x5xxRD2.H"

sbit SegA = P1^6;
sbit SegB = P2^1;
sbit SegC = P2^2; 
sbit SegD = P1^5;	
sbit SegE = P1^4;	
sbit SegF = P1^7;	 
sbit SegG = P2^3;
sbit SegDot = P2^0;

sbit Digit0Select = P0^6;
sbit Digit1Select = P0^5;
sbit Digit2Select = P2^7;
sbit Digit3Select = P2^4;

#define TH0_VALUE 0xF8
#define TL0_VALUE 0x30		//About 2.17ms per cycle.

void SegDisplayInit(void);
void SegCodeToIO(unsigned char SegCode);
void SegDisplayFreq(unsigned short Freq);

#endif /* __LED_SEG_H__ */