#ifndef __QN8027_DRV_H__
#define __QN8027_DRV_H__

#define QN8027_RD_Operation 0x59
#define QN8027_WR_Operation 0x58

#define QN8027_WR_ERROR		0
#define QN8027_WR_SUCCESS	1

unsigned char QN8027_ReadReg(unsigned char RegBase);
bit QN8027_WriteReg(unsigned char RegBase, unsigned char RegValue);
void QN8027_Init(void);
void QN8027_SetFrequency(unsigned short Freq);
unsigned short QN8027_GetCurrentFrequency(void);
unsigned char QN8027_CheckID();

#endif /* __QN8027_DRV_H__ */